@import "@/styles/mixins/typography";
@import "@/styles/colors";

.button {
  color: $color-white;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  border-radius: 12px;
  display: flex;
  column-gap: 8px;
  align-items: center;
  cursor: pointer;
  transition: background-color 0.2s ease, box-shadow 0.2s ease, color 0.2s ease;

  &_wide {
    width: 100%;
    justify-content: center;
  }
}

/* Padding styles */
.relaxed {
  padding: 12px 16px;
}

.compact {
  padding: 8px 12px;
}

/* Font sizes */

.xs {
  @include typography('xs-semibold');
}

.sm {
  @include typography('sm-semibold');
}

.base {
  @include typography('base-semibold');
}

.lg {
  @include typography('lg-semibold');
}

/* Variants */

.primary {
  background-color: $color-blue-600;

  &:hover:not(:disabled) {
    background-color: $color-blue-800;
  }

  &:active:not(:disabled) {
    background-color: $color-blue-600;
    box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.80);
  }

  &:disabled {
    opacity: 0.3;
    cursor: not-allowed;
  }
}

.secondary {
  background-color: $color-custom-secondary-button-bg-hollow-button-border;

  &:hover:not(:disabled) {
    background-color: $color-custom-secondary-button-hover;
  }

  &:active:not(:disabled) {
    background-color: $color-custom-secondary-button-bg-hollow-button-border;
    box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.80);
  }

  &:disabled {
    opacity: 0.3;
    cursor: not-allowed;
  }
}

.danger {
  background-color: $color-red-600;

  &:hover:not(:disabled) {
    background-color: $color-red-800;
  }

  &:active:not(:disabled) {
    background-color: $color-red-600;
    box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.80);
  }

  &:disabled {
    opacity: 0.3;
    cursor: not-allowed;
  }
}

.ghost {
  background-color: transparent;
  color: $color-custom-text-tooltips;

  &:hover:not(:disabled, :active) {
    background-color: rgba(255, 255, 255, 0.05);
    color: $color-white;
  }

  &:active:not(:disabled) {
    color: $color-white;
    box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.80);
  }

  &:disabled {
    opacity: 0.3;
    color: $color-white;
    cursor: not-allowed;
  }
}

.hollow {
  background-color: transparent;
  color: $color-custom-text-tooltips;
  box-shadow: 0px 0px 0px 2px $color-custom-secondary-button-bg-hollow-button-border;

  &:hover:not(:disabled) {
    color: $color-white;
  }

  &:active:not(:disabled) {
    color: $color-white;
    box-shadow: 0px 0px 0px 2px $color-white;
  }

  &:disabled {
    opacity: 0.3;
    color: $color-white;
    box-shadow: 0px 0px 0px 2px $color-white;
    cursor: not-allowed;
  }
}